Bug 837485 - can not start vdsmd service after update the libvirt packages
can not start vdsmd service after update the libvirt packages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: Regression
Depends On:
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-07-04 01:23 EDT by EricLee
Modified: 2015-09-27 22:31 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:18:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description EricLee 2012-07-04 01:23:55 EDT
Description of problem:
can not start vdsmd service after update the libvirt packages

Version-Release number of selected component (if applicable):
libvirt-0.9.13-2.el6.x86_64
vdsm-4.9.6-16.0.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
[root@libn755 Downloads]# rpm -Uvh libvirt-0.9.13-2.el6.x86_64.rpm libvirt-client-0.9.13-2.el6.x86_64.rpm libvirt-python-0.9.13-2.el6.x86_64.rpm libvirt-daemon-0.9.13-2.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:libvirt-client         ########################################### [ 25%]
   2:libvirt-daemon         warning: /etc/libvirt/libvirtd.conf created as /etc/libvirt/libvirtd.conf.rpmnew
warning: /etc/libvirt/qemu.conf created as /etc/libvirt/qemu.conf.rpmnew
########################################### [ 50%]
   3:libvirt                ########################################### [ 75%]
   4:libvirt-python         ########################################### [100%]

[root@libn755 Downloads]# service libvirtd restart
Stopping libvirtd daemon: libvirtd: libvirtd is managed by upstart and started, use initctl instead

[root@libn755 Downloads]# service vdsmd restart
Shutting down vdsm daemon:
vdsm watchdog stop                                         [  OK  ]
vdsm stop                                                  [  OK  ]
Stopping libvirtd daemon: libvirtd: libvirtd is managed by upstart and started, use initctl instead
vdsm: libvirt already configured for vdsm                  [  OK  ]
Starting wdmd...
Starting wdmd:                                             [  OK  ]
Starting sanlock...
Starting sanlock:                                          [  OK  ]
Starting iscsid:
diff: : No such file or directory
/bin/cp: cannot stat `': No such file or directory
vdsm: one of the dependent services did not start, error co[FAILED]

And the host will disconnect from RHEVM.

Maybe the real reason of this bug is the new packages missing libvirtd.upstart file:
# rpm -ql libvirt|grep upstart
There is nothing output with that command

And older packages like libvirt-0.9.10-21.el6 will output:
# rpm -ql libvirt|grep upstart
/usr/share/doc/libvirt-0.9.10/libvirtd.upstart

Actual results:
as steps

Expected results:
should start vdsmd normally.

Additional info:
when I reduce to libvirt-0.9.10-21.el6.x86_64.rpm, it works well.
Comment 2 EricLee 2012-07-04 01:40:17 EDT
Just saw the libvirtd.upstart file:
# ll /usr/share/doc/libvirt-daemon-0.9.13/libvirtd.upstart 
-rw-r--r--. 1 root root 1181 Feb  3 16:51 /usr/share/doc/libvirt-daemon-0.9.13/libvirtd.upstart

Maybe there is some cooperation problems between libvirt and vdsm.
Comment 5 Daniel Veillard 2012-07-20 04:53:48 EDT
This should be fixed in libvirt-0.9.13-3.el6 as i modified the rpm
packaging to be similar of RHEL-6.3 and this should avoid the issue,

Daniel
Comment 6 EricLee 2012-07-24 05:14:27 EDT
Verified in libvirt-0.9.13-3.el6.

Versions:
libvirt-0.9.13-3.el6.x86_64
vdsm-4.9.6-21.0.el6.x86_64

Can start vdsmd service normally after upgrade the libvirt packages to libvirt-0.9.13-3.el6, and the host will reconnect to RHEVM successfully.
Comment 7 errata-xmlrpc 2013-02-21 02:18:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.